Ora che PHP 8.0 è stato ufficialmente rilasciato, lo abbiamo reso disponibile per tutti gli ambienti su Kinsta insieme a PHP 7.3 e 7.4. In precedenza, PHP 8.0 (RC1) era disponibile solo per gli ambienti di staging per evitare errori di incompatibilità nei siti di produzione.

L’ultima versione di PHP introduce una serie di funzionalità che aumentano le prestazioni come compilazione JIT, Union Types 2.0, array con indice negativo e altro ancora. PHP 8.0 è la versione più veloce di PHP, quindi consigliamo di aggiornare se il vostro sito è pienamente compatibile.

Ecco alcune cose da tenere a mente prima di passare a PHP 8.0:

    • Consigliamo di utilizzare PHP 8.0 solo con WordPress 5.6 o superiore per la compatibilità. Se utilizzate una versione precedente di WordPress, provate il vostro sito con WordPress 5.6 in un ambiente di staging e aggiornate il sito live solo se non riscontrate problemi. Se notate problemi con WordPress 5.6, prima di aggiornare a PHP 8.0, contattate uno sviluppatore qualificato nel debug dei siti.

.

    • Non tutti i temi e i plugin sono compatibili con PHP 8.0 e il nostro team di supporto non può assistervi per problemi di compatibilità del codice. Se notate un problema con un plugin o un tema, vi consigliamo di tornare a PHP 7.4 e di contattare lo sviluppatore del plugin o del tema per l’incompatibilità con PHP 8.0.

.

    • La compatibilità di PHP 8.0 con l’estensione di ionCube Loader è prevista per il primo trimestre del 2021. Se vi affidate a ionCube Loader per il vostro sito, non aggiornate ora a PHP 8.0.

.

Come Aggiornare a PHP 8

Per abilitare PHP 8.0, andate alla pagina “Strumenti” del vostro sito in MyKinsta.

Alla voce “Motore PHP”, cliccate su “Modifica” e scegliete PHP 8.0. Tutto qui!

PHP 8.0 è ora disponibile per tutti gli ambienti Kinsta.
PHP 8.0 è ora disponibile per tutti gli ambienti Kinsta.

Per maggiori informazioni sulle entusiasmanti novità dell’ultima versione di PHP, consultate la nostra guida approfondita a PHP 8.0 e iscrivetevi alla nostra newsletter!